Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Interface ComparisonExpression

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  CompareToIntegerConstant, EquivalenceComparison, GeneralComparison, GeneralComparison20, GeneralComparisonEE, ValueComparison

    public interface ComparisonExpression

extends Serializable

Interface implemented by expressions that perform a comparison

Method Summary
`boolean` | `convertsUntypedToOther()` Determine whether untyped atomic values should be converted to the type of the other operand
`AtomicComparer` | `getAtomicComparer()` Get the AtomicComparer used to compare atomic values.
`Expression[]` | `getOperands()` Get the two operands of the comparison
`int` | `getSingletonOperator()` Get the primitive (singleton) operator used: one of Token.FEQ, Token.FNE, Token.FLT, Token.FGT, Token.FLE, Token.FGE

Method Detail

### getAtomicComparer

    AtomicComparer getAtomicComparer()

  Get the AtomicComparer used to compare atomic values. This encapsulates any collation that is used

### getSingletonOperator

    int getSingletonOperator()

  Get the primitive (singleton) operator used: one of Token.FEQ, Token.FNE, Token.FLT, Token.FGT, Token.FLE, Token.FGE

### getOperands

    Expression[] getOperands()

  Get the two operands of the comparison

### convertsUntypedToOther

    boolean convertsUntypedToOther()

  Determine whether untyped atomic values should be converted to the type of the other operand

  Returns:
    true if untyped values should be converted to the type of the other operand, false if they should be converted to strings.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.